DirectoryIterator::key
DirectoryIterator::rewind
DirectoryIterator
PHP Manual

# DirectoryIterator::next

Move forward to next DirectoryIterator item

### Description

public void DirectoryIterator::next ( void )

Move forward to the next DirectoryIterator item.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### Examples

Example #1 DirectoryIterator::next example

List the contents of a directory using a while loop.

`<?php
$iterator = new DirectoryIterator(dirname(__FILE__));
while($iterator->valid()) {
echo $iterator->getFilename() . "\n";
$iterator->next();
}
?>`

The above example will output something similar to:

    .
    ..
    apple.jpg
    banana.jpg
    index.php
    pear.jpg

### See Also

- DirectoryIterator::current
- DirectoryIterator::key
- DirectoryIterator::rewind
- DirectoryIterator::valid
- Iterator::next